var masterkategoritemplate=(function(){
	var hal=0;
	var jumlah=30;
	var iddatamasterkategoritemplate=0;
	return{
		caricanggih:function(){
			var loadercari=mload.loader({"keterangan":"Proses data.."});
			var ik_data = {ajax: 1,mode: "mod",cl: "masterkategoritemplate",
				ikdata: {0:"datacari01",1:1}
			};
			
			$.ajax({url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					if(e!=false){
						loadercari.tutup();
						var boxcari;
						var obj=new Object;
						obj.proses=function(a){
							$("#cari").val(a);
							boxcari.tutup();
							document.getElementById("btcari").click();
						};
						var datacari={"data":e,"proses":obj}
						boxcari=caricanggih.buka(datacari);
					}else{
						loadercari.error([{"pesan":"Terjadi kesalahan"}]);
					}
				}
			});
		},
		enter:function(e){
			if(e.which == 13 || e.keyCode == 13){
				masterkategoritemplate.loade();
			}
		},
		loade:function(){
			$("#hal_ke").val(0);
			masterkategoritemplate.load();
		},
		load:function(){
			var nohal=$("#hal_ke").val()
			jumlah=$("#jumlah_hal").val();
			hal=(nohal-1)*jumlah;
			var cr=$("#cari").val();
			
			$("#grid_masterkategoritemplate").html("");
			var loaderdata=mload.loading({"el":"grid_masterkategoritemplate"});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "masterkategoritemplate",
				ikdata: {0:"getTabel",1:hal,2:jumlah,3:cr}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					if(e!=false && e.length>0){
						loaderdata.tutup();
						if(e.length>0 && e[0]['halaman']>0){
							var htm;
							for(var i=0;i<e[0]['halaman'];i++){
								htm+="<option value='"+(i+1)+"'>"+(i+1)+"</option>";
							}
							$("#hal_ke").html(htm);
							
						}
						$("#hal_ke").val(nohal);
						
						var datatb={
							box:"grid_masterkategoritemplate",
							data:e,
							lebarmin:"500px",
							trklik:{"data":"id","fungsi":"barisklik"},
							title:"kategori Menu",
							isi:[
									//{"col":"","judul":"No","tipe":"urut","align":"center","lebar":"50px","halaman":hal,"jumlah":jumlah},
									{"col":"id","judul":"ID/Kode","tipe":"data","lebar":"60px"},
									{"col":"nama","judul":"Nama Kategori","tipe":"data"},
									{"align":"center","judul":"","tipe":"tpl","tpl":"btedit","lebar":"60px"},
									
								],
							mod:"mod",
							module:"masterkategoritemplate"
						};
						tabel.multisub(datatb);
					}else{
						loaderdata.pesan("TIDAK ADA DATA");
					}
				}
			});
		},
		buat:function(a){
			document.location=lokal+"member/mod/masterkategoritemplate?id="+a+"&scrmenu="+modmenu.getmenuscr();
		},
		kembali:function(){
			document.location=lokal+"member/mod/masterkategoritemplate?scrmenu="+modmenu.getmenuscr();
		},
		edit:function(a){
			iddatamasterkategoritemplate=a['id'];
		},
		simpan:function(){
			$("#box_error_simpan").html("");
			var nama=$("#nama").val();
			var idmaster=$("#idmaster").val();
			
			var err="";
			if(idmaster=="") err+="ID/Kode kategori belum diisi.</br>";
			if(nama=="") err+="Nama kategori belum diisi.</br>";
			
			if(err!=""){
				$("#box_error_simpan").html(err);
				return;
			}
			var fg="inputmasterkategoritemplate";
			if(iddatamasterkategoritemplate>0){
				fg="editmasterkategoritemplate";
			}
			var loadersimpan=mload.loading({"el":"box_error_simpan"});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "masterkategoritemplate",
				ikdata: {0:fg,nama:nama,
					idmaster:idmaster,
					id:iddatamasterkategoritemplate}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					if(e==1){
						masterkategoritemplate.kembali();
					}else{
						loadersimpan.pesan("Terjadi kesalahan");
					}
				}
			});
		},
		hapus:function(a){
			if(a<=0) return;
			var boxyesno=null;
			var databox={
				judul:"Yakin akan menghapus data kategori template ini ?? ",
				proses:function(){
					var loaderhapus=mload.loader({"keterangan":"Proses hapus data!"});
					boxyesno.tutup();
					var ik_data = {
						ajax: 1,
						mode: "mod",
						cl: "masterkategoritemplate",
						ikdata: {0:"hapusData",id:a}
					};
					
					$.ajax({
						url: lokal+"man.ajax.php",
						type: "POST",
						dataType: "json",
						async:true,
						data: ik_data,
						success: function(e){
							if(e==1){
								loaderhapus.tutup();
								masterkategoritemplate.load();
							}else{
								loaderhapus.error([{"pesan":"Terjadi kesalahan"}]);
							}
						}
					});
				}
			};
			boxyesno=boxwin.yesno(databox);
			boxyesno.buka();
			
		},
		
	};
})();